#ifndef __LIGHT_H
#define __LIGHT_H

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>

#define NUM_AVERAGES 32

class Light
{
	public:
		Light();
		~Light();
		
		void setFlashEnabled(bool enabled);
		
		void resetAverage();
		void setLightData(int *data);
	private:
		int lastAverages[NUM_AVERAGES];
};

#ifdef __cplusplus
}
#endif

#endif


